searchNodes=[{"type":"module","title":"CloudflareApi","doc":"NOTE: This package is still under active development and may be refactored in substantive ways very soon. If you need to get to prod soon, you may want to find an alternative. CloudflareApi is a thin wrapper around the Cloudflare API. It provides convenient functions and elixir idioms so you don't have to use HTTP directly. This library subscribes to the philosophy that you a well-designed REST API doesn't need a heavy layer of abstraction on top. There is extensive documentation for the CloudFlare API already, and abstracting that away . The downside of course is that if you want to be shielded from the API details, this isn't the package for you. For example, if you wanted to call the Cloudflare endpoint for listing DNS records : GET zones / :zone_identifier / dns_records rather than using one of the many HTTP clients, you can do: CloudflareApi.DnsRecords . list ( client , zone_id ) The extensive query string prameters options that CloudFlare offers are also accessible through an opts KeywordList : CloudflareApi.DnsRecords . list ( client , zone_id , name : hostname , type : &quot;A&quot; ) You may wish to look through the Livebook for an example of usage. NOTE: This package is still very new and is far from feature complete. The most common endpoints will be created first, but if you need one that isn't provided yet you can open an issue on Github (or send a pull request). Because this layer is very thin, it doesn't usually take long to add new endpoints.","ref":"CloudflareApi.html"},{"type":"function","title":"CloudflareApi.client/1","doc":"Returns a function that you can use to easily pass clients in your code. This makes it so you don't have to create your own client for every function call. If you are going to make multiple calls then this is recommended for convenience and simplicity. For example: # Get a function that wraps your token for you client = CloudflareApi . client ( &quot;&lt;my_token&gt;&quot; ) # Now you can call other functions like this: CloudflareApi.DnsRecords . list ( client ( ) , &quot;my_zone_id) # If you are going to do additional processing, you can use a pipe: client(api_token) |&gt; CloudflareApi.list(&quot; my_zone_id &quot; ) |&gt; Enum . map ( fn record -&gt; { record } end )","ref":"CloudflareApi.html#client/1"},{"type":"function","title":"CloudflareApi.new/1","doc":"Get a preconfigured client you can pass in to other functions This makes it so that you don't have to provide the cloudflare_api_token to every function call. Examples: iex&gt; CloudflareApi.new(&quot;&lt;your_token&gt;&quot;)","ref":"CloudflareApi.html#new/1"},{"type":"module","title":"CloudflareApi.Cache","doc":"An optional short-term cache for API lookups. This lets you repeat the same requests multiple times without actually making a call to the Cloudflare API. This will help a lot with rate limiting. For example if you have code that queries the records for a particular hostname many times, this cache will allow you to repeat the call many times per minute and a real API call will only go out once every &lt;cache-interval&gt;.","ref":"CloudflareApi.Cache.html"},{"type":"function","title":"CloudflareApi.Cache.add_or_update/1","doc":"","ref":"CloudflareApi.Cache.html#add_or_update/1"},{"type":"function","title":"CloudflareApi.Cache.add_or_update/2","doc":"","ref":"CloudflareApi.Cache.html#add_or_update/2"},{"type":"function","title":"CloudflareApi.Cache.child_spec/1","doc":"Returns a specification to start this module under a supervisor. See Supervisor .","ref":"CloudflareApi.Cache.html#child_spec/1"},{"type":"function","title":"CloudflareApi.Cache.delete/1","doc":"","ref":"CloudflareApi.Cache.html#delete/1"},{"type":"function","title":"CloudflareApi.Cache.dump/0","doc":"","ref":"CloudflareApi.Cache.html#dump/0"},{"type":"function","title":"CloudflareApi.Cache.dump_cache/0","doc":"","ref":"CloudflareApi.Cache.html#dump_cache/0"},{"type":"function","title":"CloudflareApi.Cache.expire/1","doc":"","ref":"CloudflareApi.Cache.html#expire/1"},{"type":"function","title":"CloudflareApi.Cache.flush/0","doc":"","ref":"CloudflareApi.Cache.html#flush/0"},{"type":"function","title":"CloudflareApi.Cache.get/1","doc":"","ref":"CloudflareApi.Cache.html#get/1"},{"type":"function","title":"CloudflareApi.Cache.get/2","doc":"","ref":"CloudflareApi.Cache.html#get/2"},{"type":"function","title":"CloudflareApi.Cache.get_entry/1","doc":"","ref":"CloudflareApi.Cache.html#get_entry/1"},{"type":"function","title":"CloudflareApi.Cache.get_entry/2","doc":"","ref":"CloudflareApi.Cache.html#get_entry/2"},{"type":"function","title":"CloudflareApi.Cache.includes?/1","doc":"","ref":"CloudflareApi.Cache.html#includes?/1"},{"type":"function","title":"CloudflareApi.Cache.includes?/2","doc":"","ref":"CloudflareApi.Cache.html#includes?/2"},{"type":"function","title":"CloudflareApi.Cache.start_link/1","doc":"","ref":"CloudflareApi.Cache.html#start_link/1"},{"type":"function","title":"CloudflareApi.Cache.update/1","doc":"","ref":"CloudflareApi.Cache.html#update/1"},{"type":"function","title":"CloudflareApi.Cache.update/2","doc":"","ref":"CloudflareApi.Cache.html#update/2"},{"type":"type","title":"CloudflareApi.Cache.t/0","doc":"","ref":"CloudflareApi.Cache.html#t:t/0"},{"type":"module","title":"CloudflareApi.CacheEntry","doc":"","ref":"CloudflareApi.CacheEntry.html"},{"type":"type","title":"CloudflareApi.CacheEntry.t/0","doc":"","ref":"CloudflareApi.CacheEntry.html#t:t/0"},{"type":"module","title":"CloudflareApi.DnsRecord","doc":"Makes a struct and convenience functions around A Cloudflare DNS record. See Cloudflare docs: https://api.cloudflare.com/#dns-records-for-a-zone-properties","ref":"CloudflareApi.DnsRecord.html"},{"type":"function","title":"CloudflareApi.DnsRecord.cf_url/1","doc":"","ref":"CloudflareApi.DnsRecord.html#cf_url/1"},{"type":"function","title":"CloudflareApi.DnsRecord.from_cf_json/1","doc":"","ref":"CloudflareApi.DnsRecord.html#from_cf_json/1"},{"type":"function","title":"CloudflareApi.DnsRecord.to_cf_json/1","doc":"","ref":"CloudflareApi.DnsRecord.html#to_cf_json/1"},{"type":"type","title":"CloudflareApi.DnsRecord.t/0","doc":"","ref":"CloudflareApi.DnsRecord.html#t:t/0"},{"type":"type","title":"CloudflareApi.DnsRecord.ttl/0","doc":"","ref":"CloudflareApi.DnsRecord.html#t:ttl/0"},{"type":"module","title":"CloudflareApi.DnsRecords","doc":"","ref":"CloudflareApi.DnsRecords.html"},{"type":"function","title":"CloudflareApi.DnsRecords.create/3","doc":"If the record already exists, this will exit with a success {:ok, :already_created}","ref":"CloudflareApi.DnsRecords.html#create/3"},{"type":"function","title":"CloudflareApi.DnsRecords.create/5","doc":"","ref":"CloudflareApi.DnsRecords.html#create/5"},{"type":"function","title":"CloudflareApi.DnsRecords.delete/3","doc":"If the record does not exist, this will exit with a success {:ok, :already_deleted}","ref":"CloudflareApi.DnsRecords.html#delete/3"},{"type":"function","title":"CloudflareApi.DnsRecords.host_domain_exists?/5","doc":"","ref":"CloudflareApi.DnsRecords.html#host_domain_exists?/5"},{"type":"function","title":"CloudflareApi.DnsRecords.hostname_exists?/4","doc":"","ref":"CloudflareApi.DnsRecords.html#hostname_exists?/4"},{"type":"function","title":"CloudflareApi.DnsRecords.list/3","doc":"","ref":"CloudflareApi.DnsRecords.html#list/3"},{"type":"function","title":"CloudflareApi.DnsRecords.list_for_host_domain/5","doc":"","ref":"CloudflareApi.DnsRecords.html#list_for_host_domain/5"},{"type":"function","title":"CloudflareApi.DnsRecords.list_for_hostname/4","doc":"","ref":"CloudflareApi.DnsRecords.html#list_for_hostname/4"},{"type":"function","title":"CloudflareApi.DnsRecords.update/6","doc":"","ref":"CloudflareApi.DnsRecords.html#update/6"},{"type":"module","title":"CloudflareApi.Utils","doc":"","ref":"CloudflareApi.Utils.html"},{"type":"macro","title":"CloudflareApi.Utils.defp_testable/2","doc":"Macro that makes a function public in test, private in non-test See: https://stackoverflow.com/a/47598190/2062384","ref":"CloudflareApi.Utils.html#defp_testable/2"},{"type":"function","title":"CloudflareApi.Utils.explicitly_false?/1","doc":"If val is explicitly (and therefore unambiguously) false, then returns true . Otherwise false Explicitly false values are case-insensitive, &quot;f&quot;, &quot;false&quot;, &quot;no&quot;, &quot;n&quot;","ref":"CloudflareApi.Utils.html#explicitly_false?/1"},{"type":"function","title":"CloudflareApi.Utils.explicitly_true?/1","doc":"If val is explicitly (and therefore unambiguously) true, then returns false . Otherwise true Explicitly true values are case-insensitive, &quot;t&quot;, &quot;true&quot;, &quot;yes&quot;, &quot;y&quot;","ref":"CloudflareApi.Utils.html#explicitly_true?/1"},{"type":"function","title":"CloudflareApi.Utils.extract/2","doc":"Using either key or extract_func , extract the specified thing. Alias is process() and transform() This is very useful for converting some value into another in a pipeline, such as unwrapping a structure or transforming it. It's essentially like Enum.map/2 but only operates on a single object rather than an Enumerable Example: some_function_returns_a_map ( ) |&gt; CloudflareApi.Utils . extract ( :data ) # extract the &#39;data&#39; key from map |&gt; Enum . map ( ... ) get_user ( ) |&gt; CloudflareApi.Utils . extract ( :age ) |&gt; handle_age ( ) get_user ( ) |&gt; CloudflareApi.Utils . extract ( %{ name : &quot;Jeb&quot; , age : 37 } , fn { :ok , user } -&gt; user ) |&gt; extract ( ) iex examples: iex&gt; CloudflareApi.Utils.extract(%{name: &quot;Jeb&quot;, age: 37}, :age) 37 iex&gt; CloudflareApi.Utils.extract(%{name: &quot;Jeb&quot;, age: 37}, fn arg -&gt; arg[:age] * 2 end) 74","ref":"CloudflareApi.Utils.html#extract/2"},{"type":"function","title":"CloudflareApi.Utils.false_or_explicitly_true?/1","doc":"If val is explicitly true, output is true. Otherwise false The effect of this is that if the string isn't explicitly true then it is considered false. This is useful for example with an env var where the default should be false","ref":"CloudflareApi.Utils.html#false_or_explicitly_true?/1"},{"type":"function","title":"CloudflareApi.Utils.inspect/3","doc":"Runs IO.inspect/2 with pretty printing, colors, and unlimited size. If opaque_struct is false, then structs will be printed as Map s, which allows you to see any opaque fields they might have set","ref":"CloudflareApi.Utils.html#inspect/3"},{"type":"function","title":"CloudflareApi.Utils.inspect_format/2","doc":"Get Inspect.Opts for Kernel.inspect or IO.inspect If opaque_struct is false, then structs will be printed as Map s, which allows you to see any opaque fields they might have set limit is the max number of stuff printed out. Can be an integer or :infinity","ref":"CloudflareApi.Utils.html#inspect_format/2"},{"type":"function","title":"CloudflareApi.Utils.inspect_syntax_colors/0","doc":"Retrieve syntax colors for embedding into :syntax_colors of Inspect.Opts You probably don't want this directly. You probably want inspect_format","ref":"CloudflareApi.Utils.html#inspect_syntax_colors/0"},{"type":"function","title":"CloudflareApi.Utils.is_uuid?/1","doc":"Quick regex check to see if the supplied string is a valid UUID Check is done by simple regular expression and is not overly sophisticated. Return true || false Examples iex&gt; CloudflareApi.Utils . is_uuid? ( nil ) false iex&gt; CloudflareApi.Utils . is_uuid? ( &quot;hello world&quot; ) false iex&gt; CloudflareApi.Utils . is_uuid? ( &quot;4c2fd8d3-a6e3-4e4b-a2ce-3f21456eeb85&quot; ) true","ref":"CloudflareApi.Utils.html#is_uuid?/1"},{"type":"function","title":"CloudflareApi.Utils.is_uuid_or_nil?/1","doc":"","ref":"CloudflareApi.Utils.html#is_uuid_or_nil?/1"},{"type":"function","title":"CloudflareApi.Utils.list_to_string/2","doc":"Convert a list to a String , suitable for printing Will raise a String.chars error if can't coerce part to a String mask_keys is used to mask the values in any keys that are in maps in the list","ref":"CloudflareApi.Utils.html#list_to_string/2"},{"type":"function","title":"CloudflareApi.Utils.list_to_strings_and_atoms/1","doc":"Takes a list of strings or atoms and returns a list with string and atoms. Examples iex&gt; list_to_strings_and_atoms ( [ :circle ] ) [ :circle , &quot;circle&quot; ] iex&gt; list_to_strings_and_atoms ( [ :circle , :square ] ) [ :square , &quot;square&quot; , :circle , &quot;circle&quot; ] iex&gt; list_to_strings_and_atoms ( [ &quot;circle&quot; , &quot;square&quot; ] ) [ &quot;square&quot; , :square , &quot;circle&quot; , :circle ]","ref":"CloudflareApi.Utils.html#list_to_strings_and_atoms/1"},{"type":"function","title":"CloudflareApi.Utils.map_atom_keys_to_strings/1","doc":"Convert a map with String keys into a map with Atom keys. Examples iex&gt; CloudflareApi.Utils . map_atom_keys_to_strings ( %{ one : &quot;one&quot; , two : &quot;two&quot; } ) %{ &quot;one&quot; =&gt; &quot;one&quot; , &quot;two&quot; =&gt; &quot;two&quot; }","ref":"CloudflareApi.Utils.html#map_atom_keys_to_strings/1"},{"type":"function","title":"CloudflareApi.Utils.map_string_keys_to_atoms/1","doc":"Convert a map with String keys into a map with Atom keys. Examples iex&gt; CloudflareApi.Utils . map_string_keys_to_atoms ( %{ &quot;one&quot; =&gt; &quot;one&quot; , &quot;two&quot; =&gt; &quot;two&quot; } ) %{ one : &quot;one&quot; , two : &quot;two&quot; } m","ref":"CloudflareApi.Utils.html#map_string_keys_to_atoms/1"},{"type":"function","title":"CloudflareApi.Utils.map_to_string/2","doc":"Convert a map to a String , suitable for printing. Optionally pass a list of keys to mask. Examples iex&gt; map_to_string ( %{ michael : &quot;knight&quot; } ) &quot;michael: &#39;knight&#39;&quot; iex&gt; map_to_string ( %{ michael : &quot;knight&quot; , kitt : &quot;karr&quot; } ) &quot;kitt: &#39;karr&#39;, michael: &#39;knight&#39;&quot; iex&gt; map_to_string ( %{ michael : &quot;knight&quot; , kitt : &quot;karr&quot; } , [ :kitt ] ) &quot;kitt: &#39;****&#39;, michael: &#39;knight&#39;&quot; iex&gt; map_to_string ( %{ michael : &quot;knight&quot; , kitt : &quot;karr&quot; } , [ :kitt , :michael ] ) &quot;kitt: &#39;****&#39;, michael: &#39;******&#39;&quot; iex&gt; map_to_string ( %{ &quot;michael&quot; =&gt; &quot;knight&quot; , &quot;kitt&quot; =&gt; &quot;karr&quot; , &quot;carr&quot; =&gt; &quot;hart&quot; } , [ &quot;kitt&quot; , &quot;michael&quot; ] ) &quot;carr: &#39;hart&#39;, kitt: &#39;****&#39;, michael: &#39;******&#39;&quot;","ref":"CloudflareApi.Utils.html#map_to_string/2"},{"type":"function","title":"CloudflareApi.Utils.mask_map_key_values/2","doc":"Takes a map and a list of keys whose values should be masked Examples iex&gt; CloudflareApi.Utils . mask_map_key_values ( %{ name : &quot;Ben, title: &quot; Lord &quot;}, [:title]) %{name: &quot; Ben &quot;, title: &quot; * * * * &quot;} iex&gt; CloudflareApi.Utils.mask_map_key_values(%{name: &quot; Ben , age : 39 } , [ :age ] ) %{ name : &quot;Ben&quot; , age : &quot;**&quot; }","ref":"CloudflareApi.Utils.html#mask_map_key_values/2"},{"type":"function","title":"CloudflareApi.Utils.mask_str/1","doc":"Replaces the caracters in str with asterisks &quot;*&quot; , thus &quot;masking&quot; the value. If argument is nil nothing will change nil will be returned. If argument is not a binary() , it will be coerced to a binary then masked.","ref":"CloudflareApi.Utils.html#mask_str/1"},{"type":"function","title":"CloudflareApi.Utils.nil_or_empty?/1","doc":"Checks if the passed item is nil or empty string. The param will be passed to Kernel.to_string() and then String.trim() and checked for empty string Examples iex&gt; CloudflareApi.Utils . nil_or_empty? ( &quot;hello&quot; ) false iex&gt; CloudflareApi.Utils . nil_or_empty? ( &quot;&quot; ) true iex&gt; CloudflareApi.Utils . nil_or_empty? ( nil ) true","ref":"CloudflareApi.Utils.html#nil_or_empty?/1"},{"type":"function","title":"CloudflareApi.Utils.not_nil_or_empty?/1","doc":"","ref":"CloudflareApi.Utils.html#not_nil_or_empty?/1"},{"type":"function","title":"CloudflareApi.Utils.process/2","doc":"","ref":"CloudflareApi.Utils.html#process/2"},{"type":"function","title":"CloudflareApi.Utils.pry_pipe/5","doc":"Easy drop-in to a pipe to inspect the return value of the previous function. Examples conn |&gt; put_status ( :not_found ) |&gt; put_view ( CloudflareApiWeb.ErrorView ) |&gt; render ( :&quot;404&quot; ) |&gt; pry_pipe ( ) Alternatives You may also wish to consider using IO.inspect/3 in pipelines. IO.inspect/3 will print and return the value unchanged. Example: conn |&gt; put_status ( :not_found ) |&gt; IO . inspect ( label : &quot;after status&quot; ) |&gt; render ( :&quot;404&quot; )","ref":"CloudflareApi.Utils.html#pry_pipe/5"},{"type":"function","title":"CloudflareApi.Utils.raise_if_nil!/1","doc":"if value (value of the argument) is nil, this will raise CloudflareApi.CantBeNil argn (name of the argument) will be passed to allow for more helpful error messages that tell you the name of the variable that was nil Examples iex&gt; CloudflareApi.Utils . raise_if_nil! ( &quot;someval&quot; ) &quot;someval&quot; iex&gt; CloudflareApi.Utils . raise_if_nil! ( nil ) ** (CloudflareApi.CantBeNil) variable &#39;somevar&#39; was nil but cannot be (malan 0.1.0) lib/malan/utils.ex:142: CloudflareApi.Utils.raise_if_nil!/1","ref":"CloudflareApi.Utils.html#raise_if_nil!/1"},{"type":"function","title":"CloudflareApi.Utils.raise_if_nil!/2","doc":"if value (value of the argument) is nil, this will raise CloudflareApi.CantBeNil argn (name of the argument) will be passed to allow for more helpful error messages that tell you the name of the variable that was nil Examples iex&gt; CloudflareApi.Utils . raise_if_nil! ( &quot;somevar&quot; , &quot;someval&quot; ) &quot;someval&quot; iex&gt; CloudflareApi.Utils . raise_if_nil! ( &quot;somevar&quot; , nil ) ** (CloudflareApi.CantBeNil) variable &#39;somevar&#39; was nil but cannot be (malan 0.1.0) lib/malan/utils.ex:135: CloudflareApi.Utils.raise_if_nil!/2","ref":"CloudflareApi.Utils.html#raise_if_nil!/2"},{"type":"function","title":"CloudflareApi.Utils.struct_to_map/2","doc":"Converts a struct to a regular map by deleting the :__meta__ key Examples CloudflareApi.Utils . struct_to_map ( % Something { hello : &quot;world&quot; } ) %{ hello : &quot;world&quot; }","ref":"CloudflareApi.Utils.html#struct_to_map/2"},{"type":"function","title":"CloudflareApi.Utils.to_string/2","doc":"Convert the value, map, or list to a string, suitable for printing or storing. If the value is not a map or list, it must be a type that implements the String.Chars protocol, otherwise this will fail. The reason to offer this util function rather than implementing String.Chars for maps and lists is that we want to make sure that we never accidentally convert those to a string. This conversion is somewhat destructive and is irreversable, so it should only be done intentionally.","ref":"CloudflareApi.Utils.html#to_string/2"},{"type":"function","title":"CloudflareApi.Utils.transform/2","doc":"","ref":"CloudflareApi.Utils.html#transform/2"},{"type":"function","title":"CloudflareApi.Utils.true_or_explicitly_false?/1","doc":"If val is explicitly false, output is false. Otherwise true The effect of this is that if the string isn't explicitly false then it is considered true. This is useful for example with an env var where the default should be true","ref":"CloudflareApi.Utils.html#true_or_explicitly_false?/1"},{"type":"function","title":"CloudflareApi.Utils.trunc_str/2","doc":"","ref":"CloudflareApi.Utils.html#trunc_str/2"},{"type":"function","title":"CloudflareApi.Utils.tuple_to_string/2","doc":"Convert a tuple to a String , suitable for printing Will raise a String.chars error if can't coerce part to a String mask_keys is used to mask the values in any keys that are in maps in the tuple","ref":"CloudflareApi.Utils.html#tuple_to_string/2"},{"type":"type","title":"CloudflareApi.Utils.tuple_key_value/0","doc":"","ref":"CloudflareApi.Utils.html#t:tuple_key_value/0"},{"type":"module","title":"CloudflareApi.Utils.Crypto","doc":"","ref":"CloudflareApi.Utils.Crypto.html"},{"type":"function","title":"CloudflareApi.Utils.Crypto.hash_token/1","doc":"","ref":"CloudflareApi.Utils.Crypto.html#hash_token/1"},{"type":"function","title":"CloudflareApi.Utils.Crypto.strong_random_string/1","doc":"","ref":"CloudflareApi.Utils.Crypto.html#strong_random_string/1"},{"type":"module","title":"CloudflareApi.Utils.DateTime","doc":"","ref":"CloudflareApi.Utils.DateTime.html"},{"type":"function","title":"CloudflareApi.Utils.DateTime.adjust_cur_time/2","doc":"Add the specified number of units to the current time. Supplying a negative number will adjust the time backwards by the specified units, while supplying a positive will adjust the time forwards by the specified units.","ref":"CloudflareApi.Utils.DateTime.html#adjust_cur_time/2"},{"type":"function","title":"CloudflareApi.Utils.DateTime.adjust_cur_time_trunc/2","doc":"","ref":"CloudflareApi.Utils.DateTime.html#adjust_cur_time_trunc/2"},{"type":"function","title":"CloudflareApi.Utils.DateTime.adjust_time/3","doc":"","ref":"CloudflareApi.Utils.DateTime.html#adjust_time/3"},{"type":"function","title":"CloudflareApi.Utils.DateTime.distant_future/0","doc":"Return a DateTime about 200 years into the future","ref":"CloudflareApi.Utils.DateTime.html#distant_future/0"},{"type":"function","title":"CloudflareApi.Utils.DateTime.expired?/1","doc":"","ref":"CloudflareApi.Utils.DateTime.html#expired?/1"},{"type":"function","title":"CloudflareApi.Utils.DateTime.expired?/2","doc":"","ref":"CloudflareApi.Utils.DateTime.html#expired?/2"},{"type":"function","title":"CloudflareApi.Utils.DateTime.in_the_past?/1","doc":"Check if past_time occurs before the current time","ref":"CloudflareApi.Utils.DateTime.html#in_the_past?/1"},{"type":"function","title":"CloudflareApi.Utils.DateTime.in_the_past?/2","doc":"Check if past_time occurs before current_time . Equal date returns true","ref":"CloudflareApi.Utils.DateTime.html#in_the_past?/2"},{"type":"function","title":"CloudflareApi.Utils.DateTime.utc_now_trunc/0","doc":"","ref":"CloudflareApi.Utils.DateTime.html#utc_now_trunc/0"},{"type":"module","title":"CloudflareApi.Utils.Enum","doc":"","ref":"CloudflareApi.Utils.Enum.html"},{"type":"function","title":"CloudflareApi.Utils.Enum.none?/2","doc":"will return true if all invocations of the function return false. If one callback returns true , the end result will be false Enum.all? will return true if all invocations of the function return true. CloudflareApi.Utils.Enum.none? is the opposite.","ref":"CloudflareApi.Utils.Enum.html#none?/2"},{"type":"module","title":"CloudflareApi.Utils.FromEnv","doc":"","ref":"CloudflareApi.Utils.FromEnv.html"},{"type":"function","title":"CloudflareApi.Utils.FromEnv.func_str/1","doc":"","ref":"CloudflareApi.Utils.FromEnv.html#func_str/1"},{"type":"function","title":"CloudflareApi.Utils.FromEnv.log_str/1","doc":"","ref":"CloudflareApi.Utils.FromEnv.html#log_str/1"},{"type":"function","title":"CloudflareApi.Utils.FromEnv.log_str/2","doc":"","ref":"CloudflareApi.Utils.FromEnv.html#log_str/2"},{"type":"function","title":"CloudflareApi.Utils.FromEnv.mfa_str/1","doc":"","ref":"CloudflareApi.Utils.FromEnv.html#mfa_str/1"},{"type":"function","title":"CloudflareApi.Utils.FromEnv.mod_str/1","doc":"","ref":"CloudflareApi.Utils.FromEnv.html#mod_str/1"},{"type":"module","title":"CloudflareApi.Utils.IPv4","doc":"","ref":"CloudflareApi.Utils.IPv4.html"},{"type":"function","title":"CloudflareApi.Utils.IPv4.to_s/1","doc":"","ref":"CloudflareApi.Utils.IPv4.html#to_s/1"},{"type":"module","title":"CloudflareApi.Utils.Logger","doc":"","ref":"CloudflareApi.Utils.Logger.html"},{"type":"function","title":"CloudflareApi.Utils.Logger.alert/1","doc":"","ref":"CloudflareApi.Utils.Logger.html#alert/1"},{"type":"function","title":"CloudflareApi.Utils.Logger.alert/2","doc":"","ref":"CloudflareApi.Utils.Logger.html#alert/2"},{"type":"function","title":"CloudflareApi.Utils.Logger.critical/1","doc":"","ref":"CloudflareApi.Utils.Logger.html#critical/1"},{"type":"function","title":"CloudflareApi.Utils.Logger.critical/2","doc":"","ref":"CloudflareApi.Utils.Logger.html#critical/2"},{"type":"function","title":"CloudflareApi.Utils.Logger.debug/1","doc":"","ref":"CloudflareApi.Utils.Logger.html#debug/1"},{"type":"function","title":"CloudflareApi.Utils.Logger.debug/2","doc":"","ref":"CloudflareApi.Utils.Logger.html#debug/2"},{"type":"function","title":"CloudflareApi.Utils.Logger.emergency/1","doc":"","ref":"CloudflareApi.Utils.Logger.html#emergency/1"},{"type":"function","title":"CloudflareApi.Utils.Logger.emergency/2","doc":"","ref":"CloudflareApi.Utils.Logger.html#emergency/2"},{"type":"function","title":"CloudflareApi.Utils.Logger.error/1","doc":"","ref":"CloudflareApi.Utils.Logger.html#error/1"},{"type":"function","title":"CloudflareApi.Utils.Logger.error/2","doc":"","ref":"CloudflareApi.Utils.Logger.html#error/2"},{"type":"function","title":"CloudflareApi.Utils.Logger.info/1","doc":"","ref":"CloudflareApi.Utils.Logger.html#info/1"},{"type":"function","title":"CloudflareApi.Utils.Logger.info/2","doc":"","ref":"CloudflareApi.Utils.Logger.html#info/2"},{"type":"function","title":"CloudflareApi.Utils.Logger.notice/1","doc":"","ref":"CloudflareApi.Utils.Logger.html#notice/1"},{"type":"function","title":"CloudflareApi.Utils.Logger.notice/2","doc":"","ref":"CloudflareApi.Utils.Logger.html#notice/2"},{"type":"function","title":"CloudflareApi.Utils.Logger.trace/1","doc":"","ref":"CloudflareApi.Utils.Logger.html#trace/1"},{"type":"function","title":"CloudflareApi.Utils.Logger.trace/2","doc":"","ref":"CloudflareApi.Utils.Logger.html#trace/2"},{"type":"function","title":"CloudflareApi.Utils.Logger.warning/1","doc":"","ref":"CloudflareApi.Utils.Logger.html#warning/1"},{"type":"function","title":"CloudflareApi.Utils.Logger.warning/2","doc":"","ref":"CloudflareApi.Utils.Logger.html#warning/2"},{"type":"module","title":"CloudflareApi.Utils.LoggerColor","doc":"","ref":"CloudflareApi.Utils.LoggerColor.html"},{"type":"function","title":"CloudflareApi.Utils.LoggerColor.alert/0","doc":"","ref":"CloudflareApi.Utils.LoggerColor.html#alert/0"},{"type":"function","title":"CloudflareApi.Utils.LoggerColor.black/0","doc":"","ref":"CloudflareApi.Utils.LoggerColor.html#black/0"},{"type":"function","title":"CloudflareApi.Utils.LoggerColor.blue/0","doc":"","ref":"CloudflareApi.Utils.LoggerColor.html#blue/0"},{"type":"function","title":"CloudflareApi.Utils.LoggerColor.critical/0","doc":"","ref":"CloudflareApi.Utils.LoggerColor.html#critical/0"},{"type":"function","title":"CloudflareApi.Utils.LoggerColor.cyan/0","doc":"","ref":"CloudflareApi.Utils.LoggerColor.html#cyan/0"},{"type":"function","title":"CloudflareApi.Utils.LoggerColor.debug/0","doc":"","ref":"CloudflareApi.Utils.LoggerColor.html#debug/0"},{"type":"function","title":"CloudflareApi.Utils.LoggerColor.emergency/0","doc":"","ref":"CloudflareApi.Utils.LoggerColor.html#emergency/0"},{"type":"function","title":"CloudflareApi.Utils.LoggerColor.error/0","doc":"","ref":"CloudflareApi.Utils.LoggerColor.html#error/0"},{"type":"function","title":"CloudflareApi.Utils.LoggerColor.green/0","doc":"","ref":"CloudflareApi.Utils.LoggerColor.html#green/0"},{"type":"function","title":"CloudflareApi.Utils.LoggerColor.info/0","doc":"","ref":"CloudflareApi.Utils.LoggerColor.html#info/0"},{"type":"function","title":"CloudflareApi.Utils.LoggerColor.notice/0","doc":"","ref":"CloudflareApi.Utils.LoggerColor.html#notice/0"},{"type":"function","title":"CloudflareApi.Utils.LoggerColor.red/0","doc":"","ref":"CloudflareApi.Utils.LoggerColor.html#red/0"},{"type":"function","title":"CloudflareApi.Utils.LoggerColor.trace/0","doc":"","ref":"CloudflareApi.Utils.LoggerColor.html#trace/0"},{"type":"function","title":"CloudflareApi.Utils.LoggerColor.warning/0","doc":"","ref":"CloudflareApi.Utils.LoggerColor.html#warning/0"},{"type":"function","title":"CloudflareApi.Utils.LoggerColor.white/0","doc":"","ref":"CloudflareApi.Utils.LoggerColor.html#white/0"},{"type":"function","title":"CloudflareApi.Utils.LoggerColor.yellow/0","doc":"","ref":"CloudflareApi.Utils.LoggerColor.html#yellow/0"},{"type":"module","title":"CloudflareApi.Utils.Number","doc":"","ref":"CloudflareApi.Utils.Number.html"},{"type":"function","title":"CloudflareApi.Utils.Number.default_float_opts/0","doc":"","ref":"CloudflareApi.Utils.Number.html#default_float_opts/0"},{"type":"function","title":"CloudflareApi.Utils.Number.default_int_opts/0","doc":"","ref":"CloudflareApi.Utils.Number.html#default_int_opts/0"},{"type":"function","title":"CloudflareApi.Utils.Number.default_intl_float_opts/0","doc":"","ref":"CloudflareApi.Utils.Number.html#default_intl_float_opts/0"},{"type":"function","title":"CloudflareApi.Utils.Number.default_intl_int_opts/0","doc":"","ref":"CloudflareApi.Utils.Number.html#default_intl_int_opts/0"},{"type":"function","title":"CloudflareApi.Utils.Number.format/2","doc":"","ref":"CloudflareApi.Utils.Number.html#format/2"},{"type":"function","title":"CloudflareApi.Utils.Number.format_intl/2","doc":"","ref":"CloudflareApi.Utils.Number.html#format_intl/2"},{"type":"function","title":"CloudflareApi.Utils.Number.format_us/2","doc":"","ref":"CloudflareApi.Utils.Number.html#format_us/2"},{"type":"module","title":"CloudflareApi.Zone","doc":"Makes a struct and convenience functions around A Cloudflare Zone object. See Cloudflare docs: https://api.cloudflare.com/#zone-properties","ref":"CloudflareApi.Zone.html"},{"type":"function","title":"CloudflareApi.Zone.cf_url/1","doc":"","ref":"CloudflareApi.Zone.html#cf_url/1"},{"type":"function","title":"CloudflareApi.Zone.from_cf_json/1","doc":"","ref":"CloudflareApi.Zone.html#from_cf_json/1"},{"type":"function","title":"CloudflareApi.Zone.to_cf_json/1","doc":"","ref":"CloudflareApi.Zone.html#to_cf_json/1"},{"type":"module","title":"CloudflareApi.Zones","doc":"","ref":"CloudflareApi.Zones.html"},{"type":"function","title":"CloudflareApi.Zones.list/2","doc":"","ref":"CloudflareApi.Zones.html#list/2"},{"type":"exception","title":"CloudflareApi.CantBeNil","doc":"","ref":"CloudflareApi.CantBeNil.html"}]